ONVIF::Device::Elements::UpgradeSystemFirmware(3)

NAME
ONVIF::Device::Elements::UpgradeSystemFirmware

DESCRIPTION
Perl data type class for the XML Schema defined element UpgradeSystemFirmware from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Firmware

     $element->set_Firmware($data);
     $element->get_Firmware();

METHODS

  new
 my $element = ONVIF::Device::Elements::UpgradeSystemFirmware->new($data);

Constructor. The following data structure may be passed to new():

 {
   Firmware =>  { # ONVIF::Device::Types::AttachmentData
     Include =>  { # ONVIF::Device::Types::Include
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL